Subject: Re: bug#32436: 26.1.50; Duplicate bibtex/BibTeX custom groups

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 15 Aug 2018 10:09:06 +0300

>From 1ae2f6cba8bd03d64892b6e3d9aeb0200d3d9054 Mon Sep 17 00:00:00 2001
From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 15 Aug 2018 10:03:23 +0300
Subject: [PATCH] Fix duplicate custom group names in bibtex.el

* lisp/textmodes/bibtex.el (bibtex-BibTeX-entry-alist):
Change :group from BibTeX to bibtex. (bug#32436)
---
 lisp/textmodes/bibtex.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/textmodes/bibtex.el b/lisp/textmodes/bibtex.el
index efab9d8e3b..6294b8026c 100644
--- a/lisp/textmodes/bibtex.el
+++ b/lisp/textmodes/bibtex.el
@@ -457,7 +457,7 @@ bibtex-BibTeX-entry-alist
 which is called to determine the initial content of the field.
 ALTERNATIVE if non-nil is an integer that numbers sets of
 alternatives, starting from zero."
-  :group 'BibTeX
+  :group 'bibtex
   :version "26.1"                       ; add Conference
   :type 'bibtex-entry-alist)
 (put 'bibtex-BibTeX-entry-alist 'risky-local-variable t)
-- 
2.18.0

Noam Postavsky <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> I attach a patch which the presumed typo and then bumps the user
>> option's :version.  Is a change of custom group significant enough to
>> justify this, or should the :version be left alone?
>
> I'd say no, since there is no need for users to review their settings of
> this option because of this.  And if we look at the associated *Help*
> text:
>
>     This variable was introduced, or its default value was changed, in
>     version 26.2 of Emacs.
>
> That wouldn't be correct, since you haven't introduced, nor changed the
> default value of the variable in your patch.

Fair enough; I've removed the :version change from the attached patch.

Thanks,

-- 
Basil